unit MyJVCLDialog;

interface
uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls,
Dialogs, StdCtrls;

procedure DisplayDialog;

implementation

uses Forms,
 JvXPButtons; // to add jvcl buttons to dialog

// DisplayDialog can be used independently of this main form. It is not tied to
//TTestform

procedure DisplayDialog;
//function TTestForm.btnDisplayDialogClick(Sender: TObject, buttons: array of
//  TJvXPButton, captions: array of string) TForm;
var
  MyCustomMsgDialog: TForm; // this form becomes the dialog
  //  need to convert the hardwired buttons below into an array of buttons and
  //  corrercponding captions that is passed in the parameters of this procedure.

  // adding two buttons of JVCL-type
  btnOne: TJvXPButton;
  btnTwo: TJvXPButton;
begin
  // note that button set is empty []
  MyCustomMsgDialog := CreateMessageDialog('Please make a choice.', mtWarning,
    []);

  btnOne := TJvXPButton.Create(MyCustomMsgDialog);
  btnTwo := TJvXPButton.Create(MyCustomMsgDialog);

  with MyCustomMsgDialog do
  try
    Caption := 'Dialog Caption';
    Height := 140;
    MyCustomMsgDialog.Width := 520;

    // note to self: need to make all widths and event handlers dynamic
    with btnOne do
    begin
      Parent := MyCustomMsgDialog;
      Caption := 'Choose button #1';
      //      WordWrap := true;
      //      AutoSize := true;
      Top := 67;
      Left := 60;
      width := 180;
      //OnClick: TNotifyEvent;
    end;

    with btnTwo do
    begin
      Parent := MyCustomMsgDialog;
      Caption := 'Choose button #2';
      //      WordWrap := true;
      //      AutoSize := true;
      Top := 67;
      Left := 300;
      width := 180;
      //OnClick: TNotifyEvent;
    end;

    Position := poOwnerFormCenter;
    {Result := }ShowModal;

  finally
    btnOne.Free;
    btnTwo.Free;
    Free;
  end;
end;

end.

 