unit uIA_AvailableInstrument_IO;

interface

uses
  SysUtils,
  Trpcb;

function ReadAvailableInstruments(Broker: TRPCBroker): string;

implementation

uses
  uIA_Const,
  uIA_Utils;


function ReadAvailableInstruments(Broker: TRPCBroker): string;

//  function ParseSrName(AName: string): string;
//  begin
//    AName := Piece(AName, '.', 1);
//    Result := Piece(AName, FILE_NAME_DELIMITER, 1) + '=' + Piece(AName,
//      FILE_NAME_DELIMITER, 2) + '^YES';
//  end;

var
  tmpString                   : string;
  icount                      : integer;
  sr                          : TSearchRec;
begin
  tmpString := '';

  with Broker do
    begin
      ClearParameters := True;
      ClearResults := True;
      CreateContext('YS BROKER1');
      RemoteProcedure := 'YTQ TSLIST';
          // Format returned
          //TEST NAME = [1] LAST EDIT DATE^ [2] OPERATIONAL^ [3] REQUIRES LICENSE^
          //[4] LICENSE CURRENT^[5] IS LEGACY^[6] IEN^[7] R_Priviledge
          //CRS=3030919^Yes^^^Yes^49^P
          //DOM80=3030930^Yes^^^Yes^51^
          //DOM81=3031016^Yes^^^Yes^52^

      Call;

      if not (Results[0] = DATA) then
        begin
          Result := BAD_DATA;
          Exit;
        end; //if bad data

      for icount := 1 to Results.Count - 1 do
        tmpString := tmpString + Results[icount] + RECORD_END;

    end; //with Broker


  //Strip trailing U
  tmpString := DropTrailer(tmpString);
  Result := tmpString;

end;

end.

