unit uIA_Scale;

interface

type
  TScale = class
  private
    FScaleName,
      FIEN,
      FGroupIEN,
      FXLabel: string;
    FSequence: Integer;
  protected
  public
    property ScaleName: string read FScaleName write FScaleName;
    property IEN: string read FIEN write FIEN;
    property GroupIEN: string read FGroupIEN write FGroupIEN;
    property XLabel: string read FXLabel write FXLabel;
    property Sequence: Integer read FSequence write FSequence;
    // Sequence of scale within scale group; Sequence starts at 1, not zero.
    procedure Clear;
  published
  end; { TScale }

implementation

procedure TScale.Clear;
begin
  FScaleName := '';
  FIEN := '';
  FGroupIEN := '';
  FXLabel := '';
  FSequence := 0;
end;


end.

