unit uMHA_OffLinePatient_IO;

interface

function OffLinePatientsRead: string;
procedure OffLinePatientsWrite(APatientList: string);

implementation

uses
  Classes,
  windows,
  fIA_dialogs, Dialogs,
  SysUtils,
  uMHA_LocalFiles,
  uIA_Const,

  LbCipher, // from TurboPower, LockBox
  LbProc,
  LbClass;

const
  lcTempFile                  : string = '\ZZZ.ZZZ';
  lcKey                       : LongInt = 1234;

function OffLinePatientsRead: string;
var
  TempStr                     : string;
  f                           : TextFile;
begin
  Result := BAD_DATA;
 (*
   if FileExists(LocalFiles.OffLinePatientFile) then
    begin
      AssignFile(f, LocalFiles.OffLinePatientFile);
      reset(f);
      read(f, TempStr);
      Result := TempStr;
      CloseFile(f);
    end;*)


  if FileExists(LocalFiles.OffLinePatientFile) then
    begin
      RNG32EncryptFile(LocalFiles.OffLinePatientFile,
        LocalFiles.InstrumentFilesPath + lcTempFile,
        lcKey);

      AssignFile(f, LocalFiles.InstrumentFilesPath + lcTempFile);
      reset(f);
      read(f, TempStr);
      Result := TempStr;
      CloseFile(f);
    end;

  if FileExists(LocalFiles.InstrumentFilesPath + lcTempFile) then
    DeleteFile(LocalFiles.InstrumentFilesPath + lcTempFile);

end;

procedure OffLinePatientsWrite(APatientList: string);
var
  f                           : TextFile;
begin
  (*
  AssignFile(f, LocalFiles.OffLinePatientFile);
  Rewrite(f);
  write(f, APatientList);
  CloseFile(f); *)

  AssignFile(f, LocalFiles.InstrumentFilesPath + lcTempFile);
  Rewrite(f);
  write(f, APatientList);
  CloseFile(f);

  RNG32EncryptFile(LocalFiles.InstrumentFilesPath + lcTempFile,
    LocalFiles.OffLinePatientFile, lcKey);

  if FileExists(LocalFiles.InstrumentFilesPath + lcTempFile) then
    DeleteFile(LocalFiles.InstrumentFilesPath + lcTempFile);

end;

end.

