library YS_MHA_A_XE3;

{* This version is a two state model: the user is presented the desired
   instrument that can be filled in according to business rules, etc. A
   temporary global in Vista.

   A second call to this dll will save the instrument results to Vista.

   This version also has the latest object upgrades for MHA3.


  Important note about DLL memory management: ShareMem must be the
  first unit in your library's USES clause AND your project's (select
  Project-View Source) USES clause if your DLL exports any procedures or
  functions that pass strings as parameters or function results. This
  applies to all strings passed to and from your DLL--even those that
  are nested in records and classes. ShareMem is the interface unit to
  the BORLNDMM.DLL shared memory manager, which must be deployed along
  with your DLL. To avoid using BORLNDMM.DLL, pass string information
  using PChar or ShortString parameters. *}

uses
  ShareMem,
  SysUtils,
  Classes,
  uMHA_DLL in 'uMHA_DLL.pas',
  uMHA_DLL_Const in 'uMHA_DLL_Const.pas',
  uMHA_DLL_Registry in 'uMHA_DLL_Registry.pas',
  fMHA_DLL_DataEntry in 'fMHA_DLL_DataEntry.pas' {frmMHA_DLL_DataEntry},
  uMHA_DLL_Vista_IO in 'uMHA_DLL_Vista_IO.pas',
  fMHA_DLL_GAF in 'fMHA_DLL_GAF.pas' {frmMHA_DLL_GAF},
  uMHA_DLL_GAF_List in 'uMHA_DLL_GAF_List.pas',
  uMHA_DLL_GAF_IO in 'uMHA_DLL_GAF_IO.pas',
  uMHA_DLL_Score_IO in 'uMHA_DLL_Score_IO.pas',
  uMHA_DLL_Instrument_OPS in 'uMHA_DLL_Instrument_OPS.pas';

{$R *.RES}

exports
  ShowInstrument,
  SaveInstrument,
  RemoveTempFile,
  RemoveTempVistaFile,
  CloseDLL;

begin

end.

